Update a product
curl --request PATCH \
--url https://api.kyrenpay.com/v1/products/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "2000 AI Credits",
"price": "18.99"
}
'import requests
url = "https://api.kyrenpay.com/v1/products/{id}"
payload = {
"name": "2000 AI Credits",
"price": "18.99"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '2000 AI Credits', price: '18.99'})
};
fetch('https://api.kyrenpay.com/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "success",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"image": "<string>",
"price": "<string>",
"currency": "<string>",
"status": "ACTIVE",
"metadata": {},
"createdAt": 123,
"updatedAt": 123
}
}{
"code": 400,
"message": "Bad Request",
"error": {
"field": "productId",
"reason": "Product ID is required"
}
}{
"code": 401,
"message": "Unauthorized"
}{
"code": 404,
"message": "Not Found"
}Products
Update a product
Updates an existing product. Only the provided fields will be updated.
PATCH
/
v1
/
products
/
{id}
Update a product
Authorizations
Your API key. Public production API-key endpoints accept kyren_live_* keys. Staging credentials are environment-specific and must be used only with the staging environment for which Kyren issued them.
Path Parameters
The unique identifier of the resource
Body
application/json
⌘I